Loading...
Searching...
No Matches
casacore::Polynomial_PS< AutoDiff< T > > Class Template Reference

Partial specialization of Polynomial for AutoDiff. More...

`#include <Polynomial.h>`

## Public Member Functions

| Polynomial_PS ()
| Constructs one dimensional Polynomials.
| Polynomial_PS (uInt order)
| Polynomial_PS (const Polynomial_PS< AutoDiff< T > > &other)
| Copy constructor (deep copy).
template<class W>
| Polynomial_PS (const Polynomial_PS< W > &other)
Polynomial_PS< AutoDiff< T > > & | operator= (const Polynomial_PS< AutoDiff< T > > &other)
| Copy assignment (deep copy).
virtual | ~Polynomial_PS ()
| Destructor.
virtual AutoDiff< T > | eval (typename Function< AutoDiff< T > >::FunctionArg x) const
| Evaluate the polynomial and its derivatives at x wrt to the coefficients.
virtual Function< AutoDiff< T > > * | clone () const
| Return a copy of this object from the heap.
virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * | cloneAD () const
virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * | cloneNonAD () const

## Detailed Description

template<class T>
class casacore::Polynomial_PS< AutoDiff< T > >

Partial specialization of Polynomial for AutoDiff.

### Synopsis

Warning: The name Polynomial_PS is only for cxx2html documentation problems; Use Polynomial in your code;

Definition at line 147 of file Polynomial.h.

## Constructor & Destructor Documentation

## Polynomial_PS() [1/4]

template<class T>

casacore::Polynomial_PS< AutoDiff< T > >::Polynomial_PS | ( |  | ) |

inline

Constructs one dimensional Polynomials.

Definition at line 153 of file Polynomial.h.

References casacore::PolynomialParam().

Referenced by operator=(), Polynomial_PS(), and Polynomial_PS().

## Polynomial_PS() [2/4]

template<class T>

casacore::Polynomial_PS< AutoDiff< T > >::Polynomial_PS | ( | uInt | order | ) |

inline explicit

Definition at line 154 of file Polynomial.h.

References casacore::order(), and casacore::PolynomialParam().

## Polynomial_PS() [3/4]

template<class T>

casacore::Polynomial_PS< AutoDiff< T > >::Polynomial_PS | ( | const Polynomial_PS< AutoDiff< T > > & | other | ) |

inline

Copy constructor (deep copy).

Definition at line 160 of file Polynomial.h.

References Polynomial_PS(), and casacore::PolynomialParam().

## Polynomial_PS() [4/4]

template<class T>
template<class W>

casacore::Polynomial_PS< AutoDiff< T > >::Polynomial_PS | ( | const Polynomial_PS< W > & | other | ) |

inline

Definition at line 163 of file Polynomial.h.

References Polynomial_PS(), and casacore::PolynomialParam().

## ~Polynomial_PS()

template<class T>

virtual casacore::Polynomial_PS< AutoDiff< T > >::~Polynomial_PS | ( |  | ) |

inline virtual

Destructor.

Definition at line 173 of file Polynomial.h.

## Member Function Documentation

## clone()

template<class T>

virtual Function< AutoDiff< T > > * casacore::Polynomial_PS< AutoDiff< T > >::clone | ( |  | ) | const

inline virtual

Return a copy of this object from the heap.

The caller is responsible for deleting this pointer.

Definition at line 186 of file Polynomial.h.

References casacore::Polynomial().

## cloneAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * casacore::Polynomial_PS< AutoDiff< T > >::cloneAD | ( |  | ) | const

inline virtual

Definition at line 189 of file Polynomial.h.

References casacore::Polynomial().

## cloneNonAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * casacore::Polynomial_PS< AutoDiff< T > >::cloneNonAD | ( |  | ) | const

inline virtual

Definition at line 193 of file Polynomial.h.

References casacore::Polynomial().

## eval()

template<class T>

virtual AutoDiff< T > casacore::Polynomial_PS< AutoDiff< T > >::eval | ( | typename Function< AutoDiff< T > >::FunctionArg | x | ) | const

virtual

Evaluate the polynomial and its derivatives at x wrt to the coefficients.

## operator=()

template<class T>

Polynomial_PS< AutoDiff< T > > & casacore::Polynomial_PS< AutoDiff< T > >::operator= | ( | const Polynomial_PS< AutoDiff< T > > & | other | ) |

inline

Copy assignment (deep copy).

Definition at line 169 of file Polynomial.h.

References Polynomial_PS(), and casacore::PolynomialParam().

The documentation for this class was generated from the following file:

- scimath/Functionals/Polynomial.h